/*
 * $Id: 5ee3f0fa0698f3dc773e10581e27bed35e96615d $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#include <stdlib.h>

#include "ncurses.h"

static void myclear(void);

static void
myclear(void)
{
	(void)clear();
	(void)mvprintw(0, 0, "Press 'q' to exit, 'c' to clear screen.\n");
}

int
main(void)
{
	int c;

	(void)initscr();
	(void)cbreak();
	(void)noecho();
	(void)keypad(stdscr, TRUE);

	(void)myclear();
	while ((c = getch()) != 'q') {
		(void)printw("You pressed a key or combination with keycode %d (dec) 0x%x (hex).\n", c, c);
		if (c == 'c')
			myclear();
	}

	(void)clear();
	(void)endwin();

	return EXIT_SUCCESS;
}
