/*
 * $Id: e7cef15607a369f70fd2fbf193cfce828fa5ccb9 $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NTLS_H
#define HAD_LIBNTLDAP_NTLS_H

#include "ldap.h"
#include "ldap_schema.h"

typedef struct ntls_oc {
	LDAPObjectClass **abs;
	LDAPObjectClass **str;
	LDAPObjectClass **aux;
	LDAPObjectClass **all;
} NTLS_OC;

typedef struct ntls_schema {
	NTLS_OC *ocs;
	LDAPAttributeType **ats;
} NTLS_SCHEMA;

NTLS_SCHEMA *ntls_read_schema(LDAP *);
void ntls_schema_free(NTLS_SCHEMA *);

const LDAPAttributeType *ntls_get_at_from_oid(const LDAPAttributeType **, const char *);
const LDAPObjectClass *ntls_get_oc_from_oid(const LDAPObjectClass **, const char *);
const LDAPAttributeType *ntls_get_at_from_name(const LDAPAttributeType **, const char *);
const LDAPObjectClass *ntls_get_oc_from_name(const LDAPObjectClass **, const char *);

char **ntls_acc_ats(const NTLS_SCHEMA *, const char **, int);
void ntls_acc_free(char **);
void ntls_ocs_free(char **);

char **ntls_interpolate_ocs(const NTLS_SCHEMA *, const char **);

int ntls_at_human(const LDAPAttributeType *);

#endif
