/*
 * $Id: 81b7e220ef8df2c0db8879850a4a4cf0938f875d $
 *
 * This file is part of ntldap.
 *
 * Copyright (c) 2006, 2007, 2008 Niklas Olmes <niklas@noxa.de>
 *                                http://www.nevm.de/ntldap/
 *                                NEVM-RIPE
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#ifndef HAD_LIBNTLDAP_NTM_H
#define HAD_LIBNTLDAP_NTM_H

typedef struct ntm_part {
	char *fn;
	char *type;
	size_t size;
	char *data;
} NTM_PART;

typedef struct ntm_mail {
	char *from;
	char **to;
	char **cc;
	char **bcc;
	char *subject;
	char *text;
	NTM_PART **parts;
} NTM_MAIL;

typedef struct ntm_inset {
	char *tag;
	char *sub;
} NTM_INSET;

int ntm_send(const NTM_MAIL *);
char *ntm_doinsets(const char *, const NTM_INSET **);
char *ntm_dotpl(const char *, const NTM_INSET **);
NTM_INSET **ntm_makeinsets(const char **, const char **);
void ntm_insets_free(NTM_INSET **);
NTM_PART **ntm_makeparts(const char **, const char **, const char **);
void ntm_parts_free(NTM_PART **);
int ntm_tplsend(NTM_MAIL *, const char *, const char **, const char **);

#endif
